
			-- Manipulation Manual --

	This document shows how to manipulate the Placement System.

	$B!&(BHow to call --

		Call from PIMOS shell

			shell>> placement &

		Call from listener

			?- placement &.

		Environment definition file need to have been setup correctly before the execution.
		(See the installation manual for detail)

	$B!&(BTop menu command items --

		(1) READ	  : Read/Parse VPNR circuit data
		(2) SAVE	  : Save result placement to file
		(3) LOAD	  : Load result placement from file
		(4) INITIAL PLACE : Initialize placement using pseudo random numbers
		(5) ANNEALING 	  : Input parameters and start annealing
		(6) DISPLAY	  : Display result placement
		(7) SETUP	  : Call inspector to set up the parameter values
		(8) CLOSE	  : Iconize the system window
		(9) EXIT	  : Exit the placement system

	$B!&(BComman detail --

		(1) READ : Selecting "READ" command results in waiting input mode.
			   Input target circuit name and library name. 
			   Pressing next "CR" key results in reading target data,
		           and one more pressing "CR" key results in parsing data and
			   write out into files.

		(2) SAVE : Selecting "SAVE" command results in waiting input mode.
 			   Input output file name.
			   Pressing "CR" key results in saving the currently holding data.

		(3) LOAD : Selecting "LOAD" command results in waiting input mode.
			   Input saved file name.
			   Pressing "CR" key results in loading the saved data from file.

		(4) INITIAL PLACEMENT : 
			   Selecting "INITIAL PLACEMENT" command results in opening the placement
			   parameter input window.
			   After input parameters value, select "do it" item.
			   If you don't want to input the parameters, select "abort" item.
			  
			$B!&(BAspect ration of chip $B!'(B The ratio between height and width
					           (This is automatically decided)
			$B!&(BNumber of cell blocks $B!'(B Number of cell blocks placed in the chip
			$B!&(BIndent factor		$B!'(B The ration between the block lengths in middle of
						   the chip and the outer block length in percentage
			$B!&(BRouting grid size	$B!'(B The width of routing grid
			$B!&(BNumber of Channels(Tracks)$B!'(B 
					The channel width around the block
					The channel width between the blocks

		(5) ANNEALING : 
			   With single click, Temperature parameter input window appears(this
			   appears only for the first time),and Annealing parameter input window
			   follows.Then ,input any parameters value.
			   After the parameters value are decided, system starts the execution.

			(5-1) Temperature parameter Input Window
				$B!&(BNumber of temperatures
				$B!&(BNumber of temperatures in phase2
				$B!&(BMaximum temperature
				$B!&(BMinimum temperature
				$B!&(BThreshold temperature
				$B!&(BType of temperature schedule
			(5-2) Annealing parameter Input Window
				$B!&(BAnnealing execution time
				$B!&(BFrequency of exchanging between the adjacent temperatures
				$B!&(BRate of move and exchange in generating new state
				$B!&(BWeight of cell overlap penalty
				$B!&(BWeight of block length penalty

		(6) DISPLAY :
			   With single mouse click, system gets the result placement of lowest
			   temperature, and displays it.
			   Just after the initial placement, system displays the result placement.
			   With left double click, the scrolling menu of temperatures appears.
			   The system gets and displays the result placement for the selected
			   temperature.

		      On the displayed cell$B!'(B
			1) left single click = sub window appears
			   Either command described below is selective.
				$B!&(BMove$B!'(BMovement of cell
				$B!&(BHide$B!'(BHide the cell in case of duplicate
				$B!&(BShow connected $B!'(BDisplay the cells connected to the selected cell
			2) middle single click = movement of the cell

		      On the displayed window :
			1) left double click = sub window appears.
			   Either command described below is selective.
				$B!&(BMagnify               : Magnify the part of the result placement 
				$B!&(BQuit Magnify          : Quit magnifying and displaying the entire placement
				$B!&(Bshow connected        : Show the connectivity of nets
				$B!&(Bshow channel density  : Display the channel density using bar chart
				$B!&(Bremove cell overlap   : Remove overlap between the cells
				$B!&(Bquit(Modify DB)       : Save the modified data and exit
				$B!&(Bexit       		: Exit

		(7) SET UP : Call the "INSPECTOR" with single click.
			     Enable to refer or renew the inner state of the system.
			     (See the simpos manual for the manipulation of the INSPECTOR)

		(8) CLOSE  : Iconize the system with single click.

		(9) EXIT   : Exit the Placement system with single click.


	$B!&(B(Standard) Sequence of execution --

		The following shows the standard execution of the placement system.
		1) Select "READ" command from top menu, and input target circuit name
		   and library name. Other way is to load the saved data in the past.
		   (In this case, initialize placement need not to be executed.)
		2) Select "INITIAL PLACEMENT" command results in initializing the placement.
		3) Select "ANNEALING" command and setup the parameters.
		4) Then starting window appears, and type "CR"key results in starting the execution.
		5) After the execution completed,  reconfirm the result using the "DISPLAY" command.
		6) Save result placement if you need, and then select "EXIT" command from top menu
		   to exit the system.

	$B!&(Bknown bug
		Sometimes, after the execution of "LOAD" command, "ANNEALING" command does not
		work correct.
		Basically, "ANNEALING" command must be executed after the execution of
		"READ/INITIAL PLACEMENT" commands. In other words, the current version of the system
		doesn't support the "LOAD" command after suspension of system process.